Skip to main content
PATCH
Update Item Variation Value

Authorizations

Authorization
string
header
required

The access token received from the authorization server in the OAuth 2.0 flow.

FlowAuthorization Code
Authorization URL
https://auth.jtl-cloud.com/oauth2/auth
Token URL
https://auth.jtl-cloud.com/oauth2/token

Headers

x-companyid
string

The Company-Id (int or uuid) of the company on whose behalf the request is executed.

x-tenant-id
string<uuid>
required

The tenant ID for the target ERP instance.

Path Parameters

itemId
integer<int32>
required

The unique id of the item.

variationId
integer<int32>
required

The unique id of the variation.

variationValueId
integer<int32>
required

The unique id of the variation value.

Body

application/json

The ItemVariationValue to update.

Model Class: UpdateItemVariationValue

Name
string

Name of a variation value in the default language.

Translations
object[]

Different terms for a variation value in the non-default languages.

Response